Get a single transaction
GET
/v2/activity/{type}/{id}Request
Use this request to get a single transaction for a given account, type, and ID. This endpoint allows you to retrieve a specific transaction by its ID and type.Sample request
Request structure
Path parameters
string
required
The type of activity to retrieve.Allowable values:
transaction, payment, order, boxTransaction Note: When using type=transaction, the API automatically determines the transaction subtype based on the transaction ID. It can return card transactions (Marqeta), BVNK transactions, or credit/debit transactions (Boxes) depending on the transaction’s transactionType.string
required
The ID of the activity to retrieve. The ID format depends on the type: - For
transaction: use the transactionId (UUID). The API will determine if it’s a card, BVNK, or credit/debit transaction based on the transaction’s type. - For payment: use the paymentId (integer) - For order: use the originOrderId (string, e.g., F6VOXCZ1AMND) - For boxTransaction: use the transactionBox.id (UUID)Allowable values: An existing ID for the specified typeQuery parameters
string
required
The ID of the account that the transaction belongs to.Allowable values: An existing
accountIdarray of strings
Optional additional information to return in the results.Allowable values:
bankFeedDetails, annotations, attachments, paymentFilesarray of strings (uuid)
The ID of the person to work with. Use commas to pass multiple values. Has to be URL encoded.Allowable values: An existing
personId in UUID format (e.g., 34edaf73-49be-4669-83ee-1b1f8c680d29)Response
If your request is successful, you’ll receive a200 response containing a single transaction object.
Sample response (payment)
resourceType: "card"), the response includes cardTransaction and merchant objects. For box transactions (resourceType: "box"), the response includes transaction box details. See the example responses below for complete structures for each type.
Examples
Get a payment transaction
Retrieve a payment transaction using the payment ID. Payment IDs are integers.Get a transaction by transaction ID
Retrieve a transaction using the transaction ID (UUID format). The API automatically determines the transaction type based on the transaction’stransactionType field. This can return:
- Card transactions (
transactionType: "Marqeta") - ReturnsresourceType: "card"with card transaction details, merchant information, and transaction group data - BVNK transactions (
transactionType: "Bvnk") - Returns BVNK transaction details with transaction group and box transaction data - Credit/debit transactions (
transactionType: "Boxes") - Returns credit/debit transaction details with transaction box information
Get an order by origin order ID
Retrieve an order transaction using the origin order ID (string format likeF6VOXCZ1AMND). This returns the payment transaction associated with the specified order ID.
resourceType: "payment") that contains the order details, payment information, beneficiary details, and order events.
Get a box transaction
Retrieve a box transaction (internal account movement) using the box transaction ID (UUID format). Box transactions represent credits, debits, and internal transfers. Note: Box transactions can be accessed in two ways:- Using
type=boxTransactionwith thetransactionBox.id(UUID) - This directly queries the TransactionBox table - Using
type=transactionwith a transaction ID wheretransactionTypeis “Boxes” - This returns credit/debit transactions through the Transaction model
Get a transaction with additional details
Retrieve a payment transaction with optional additional information like annotations and attachments.annotations is included, the transaction carries an annotationGroup whose annotationValues resolve the annotation field title and type inline — and, for dropdown fields, the selected option’s dropdownValue (name) and dropdownCode (your accountancy / general-ledger code):
annotationValue (dropdown field)
annotationFieldType to its value property, see Annotations.
Example responses by type
Payment transaction response:type=order) returns the same payment transaction structure shown above, using the originOrderId (e.g., F6VOXCZ1AMND) as the identifier.
Card transaction response:
Get payment files
For SWIFT and CHAPS payments, you can download the proof of payment. This is the original bank message for the payment, provided as either an MT103 or an ISO 20022 pacs.008 document. To include it in the response, addpaymentFiles to the include query parameter.
paymentFiles array on the transaction. Each item is a file you can download using a secure link that expires after a short time:
Sample response (payment, truncated)
string
The type of the payment file. Allowable values:
MT103, PACS008, PAIN001, PDFstring
A secure link to download the file. Download the file promptly, as the link expires after a short time.
string
The ISO 8601 date and time at which the link expires.
paymentFilesis only returned when you request it withinclude=paymentFiles.- It applies to outbound payments (
type=payment) and inbound credits (type=boxTransaction) made over SWIFT or CHAPS. Other payment types do not have a proof of payment. - If no proof is available yet,
paymentFileswill be empty. - The link expires, so download the file as soon as you receive it rather than saving the link. If the link has expired, request the transaction again to get a new one.
Error responses
For more information about this request and its response, see the API reference.